List Business Services sorted by impacted status
Retrieve a list top-level Business Services sorted by highest Impact with status included.
When called without the ids[] parameter, this endpoint does not return an exhaustive list of Business Services but rather provides access to the most impacted up to the limit of 200.
The returned Business Services are sorted first by Impact, secondarily by most recently impacted, and finally by name.
To get impact information about a specific set of Business Services, use the ids[] parameter.
Scoped OAuth requires: services.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
Provides access to additional fields such as highest priority per business service and total impacted count
Value in
- "services.highest_impacting_priority"
- "total_impacted_count"
The IDs of the resources.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
Delete a Business Service DELETE
Delete an existing Business Service. Once the service is deleted, it will not be accessible from the web UI and new incidents won't be able to be created for this service. Business services model capabilities that span multiple technical services and that may be owned by several different teams. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#business-services) Scoped OAuth requires: `services.write`
Get the global priority threshold for a Business Service to be considered impacted by an Incident GET
Retrieves the priority threshold information for an account. Currently, there is a `global_threshold` that can be set for the account. Incidents that have a priority meeting or exceeding this threshold will be considered impacting on any Business Service that depends on the Service to which the Incident belongs. Scoped OAuth requires: `services.read`